Summary: RDtool translates Ruby RD into HTML, man or other types of format
Name: rdtool
Version: 0.6.13
Release: 1
License: Dual-licensed GPL/Artistic-like
Group: Applications/Ruby
Source: http://www2.pos.to/~tosh/ruby/rdtool/archive/%{name}-%{version}.tar.gz
URL: http://www2.pos.to/~tosh/ruby/rdtool/en/index.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, ruby-racc
Requires: ruby-forwardable

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
 
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0, ruby-optparse
%endif

%description
RD is a multipurpose documentation format, created for documentating Ruby and
the output of the Ruby world.

You can embed RD into Ruby scripts and RD has a neat syntax that helps you to
read documentation in Ruby scripts. On the other hand, RD also has a feature
for class references.

But RD's neat, natural, easy writing syntax appeals to some Rubyists so much
that they use RD for other categories of documentation than its original
purpose. Some write Web pages in RD and translate it into HTML using the
formatter.

RDtool is a formatter which can translate RD into HTML, man or other formats.

Although RD is neat enough for you to read, translation into HTML is sometimes
useful.

%prep
%setup
ruby rdtoolconf.rb

%build
make all

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
make BIN_DIR=$RPM_BUILD_ROOT%{_bindir} SITE_RUBY=$RPM_BUILD_ROOT$sitelibdir \
  install
ruby -i -pe 'sub(%r(^#!/usr/local/bin/ruby), "/usr/bin/ruby")' utils/rdswap.rb
install utils/rdswap.rb $RPM_BUILD_ROOT%{_bindir}/rdswap
find $RPM_BUILD_ROOT/usr -type f -print | sed -e "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc -P doc/ utils/rd-mode.el
%doc HISTORY README* rmi2html.rb

%changelog
* Wed Jun 25 2003 Ian Macdonald <ian@caliban.org> 0.6.13-1
- 0.6.13

* Wed May 28 2003 Ian Macdonald <ian@caliban.org> 0.6.11-3
- don't require ruby-optparse when building for Ruby 1.8

* Tue Mar 26 2002 Ian Macdonald <ian@caliban.org>
- 0.6.11
